Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Devel/Symdump.pm) perl(Glib.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# spec file for perl-GStreamer1
#
# Copyright (c) 2015 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries

Name:           perl-GStreamer1
Version:        0.003
Release:        alt1_14
Summary:        Perl binding for GStreamer 1.x
# lib/GStreamer1.pm:                BSD
# lib/GStreamer1/Caps/Simple.pm:    BSD
License:        BSD
URL:            https://metacpan.org/release/GStreamer1
Source0:        https://cpan.metacpan.org/authors/id/T/TM/TMURRAY/GStreamer1-%{version}.tar.gz
# Remove useless dependency on gstreamer1-devel
Patch0:         GStreamer1-0.003-Remove-a-useless-check-for-gstreamer1-library.patch
# Remove bogus shell bangs from the documentation
Patch1:         GStreamer1-0.003-Remove-shebangs-from-examples.patch
BuildArch:      noarch
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(Devel/CheckLib.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time:
# gstreamer1 for Gst-1.0.typelib, GstBase-1.0.typelib and GstController-1.0.typelib
BuildRequires:  gstreamer1.0 gstreamer1.0-utils
# gstreamer1-plugins-base for GstApp-1.0.typelib
BuildRequires:  gst-plugins-bad1.0 gst-plugins-base1.0
BuildRequires:  perl
BuildRequires:  perl(Glib/Object/Introspection.pm)
# Tests:
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
# gstreamer1 for Gst-1.0.typelib, GstBase-1.0.typelib and GstController-1.0.typelib
Requires:       gstreamer1.0 gstreamer1.0-utils
# gstreamer1-plugins-base for GstApp-1.0.typelib
Requires:       gst-plugins-bad1.0 gst-plugins-base1.0
Requires:       perl(Glib/Object/Introspection.pm) >= 0.009

# Remove under-specified dependencies

Source44: import.info
%filter_from_requires /^perl(Glib.Object.Introspection.pm)/d

%description
GStreamer1 implements a framework that allows for processing and encoding
of multimedia sources in a manner similar to a shell pipeline. This package
provides the Perl language bindings.

%prep
%setup -q -n GStreamer1-%{version}
%patch0 -p1
%patch1 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc CHANGELOG dist.ini examples
%{perl_vendor_privlib}/GStreamer1*

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1_14
- update to new release by fcimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1_10
- new version

